{% extends 'base.html' %}

{% block titles %}
    My Projects
{% endblock titles %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <br>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            <br>
            {% if projects|length == 0 %}
                <p>You are not assigned to any projects.</p>
            {% else %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
